
\section{ Error diagnostics}
% Juste dire qu'on fait "MPI\_Abort ..." 
\label{errorDiags}
In this current version, on errors \maphys will :
\begin{enumerate}
\item print a trace if it was compiled with the option flag \textbf{-DMAPHYS\_BACKTRACE\_ERROR}
\item exit by calling MPI\_Abort on the MPI communicator mphs\%COMM
\end{enumerate}

Messages in the trace look like : 
\begin{verbatim}
[00002] ERROR: dmph\_maphys\_mod.F90:line   278. Check Failed
\end{verbatim}
Here it means that a check failed on process rank 2 in file 'dmph\_maphys\_mod.F90' at line 278.

